Package io.dapr.v1

# Interface DaprAppCallbackProtos.JobEventRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.JobEventRequest`, `DaprAppCallbackProtos.JobEventRequest.Builder`

Enclosing class:
  DaprAppCallbackProtos

public static interface DaprAppCallbackProtos.JobEventRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentType()`
The type of data content.
`com.google.protobuf.ByteString`
`getContentTypeBytes()`
The type of data content.
`com.google.protobuf.Any`
`getData()`
Job data to be sent back to app.
`com.google.protobuf.AnyOrBuilder`
`getDataOrBuilder()`
Job data to be sent back to app.
`CommonProtos.HTTPExtension`
`getHttpExtension()`
HTTP specific fields if request conveys http-compatible request.
`CommonProtos.HTTPExtensionOrBuilder`
`getHttpExtensionOrBuilder()`
HTTP specific fields if request conveys http-compatible request.
`String`
`getMethod()`
Required.
`com.google.protobuf.ByteString`
`getMethodBytes()`
Required.
`String`
`getName()`
Job name.
`com.google.protobuf.ByteString`
`getNameBytes()`
Job name.
`boolean`
`hasData()`
Job data to be sent back to app.
`boolean`
`hasHttpExtension()`
HTTP specific fields if request conveys http-compatible request.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()

     Job name.

`string name = 1;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()

     Job name.

`string name = 1;`

Returns:
  The bytes for name.

### hasData

boolean hasData()

     Job data to be sent back to app.

`.google.protobuf.Any data = 2;`

Returns:
  Whether the data field is set.

### getData

com.google.protobuf.Any getData()

     Job data to be sent back to app.

`.google.protobuf.Any data = 2;`

Returns:
  The data.

### getDataOrBuilder

com.google.protobuf.AnyOrBuilder getDataOrBuilder()

     Job data to be sent back to app.

`.google.protobuf.Any data = 2;`

### getMethod

String getMethod()

     Required. method is a method name which will be invoked by caller.

`string method = 3;`

Returns:
  The method.

### getMethodBytes

com.google.protobuf.ByteString getMethodBytes()

     Required. method is a method name which will be invoked by caller.

`string method = 3;`

Returns:
  The bytes for method.

### getContentType

String getContentType()

     The type of data content.

     This field is required if data delivers http request body
     Otherwise, this is optional.

`string content_type = 4;`

Returns:
  The contentType.

### getContentTypeBytes

com.google.protobuf.ByteString getContentTypeBytes()

     The type of data content.

     This field is required if data delivers http request body
     Otherwise, this is optional.

`string content_type = 4;`

Returns:
  The bytes for contentType.

### hasHttpExtension

boolean hasHttpExtension()

     HTTP specific fields if request conveys http-compatible request.

     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 5;`

Returns:
  Whether the httpExtension field is set.

### getHttpExtension

CommonProtos.HTTPExtension getHttpExtension()

     HTTP specific fields if request conveys http-compatible request.

     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 5;`

Returns:
  The httpExtension.

### getHttpExtensionOrBuilder

CommonProtos.HTTPExtensionOrBuilder getHttpExtensionOrBuilder()

     HTTP specific fields if request conveys http-compatible request.

     This field is required for http-compatible request. Otherwise,
     this field is optional.

`.dapr.proto.common.v1.HTTPExtension http_extension = 5;`